Bug 969864 - [abrt] firefox-21.0-3.fc18: r300_create_context: Process /usr/lib64/firefox/firefox was killed by signal 11 (SIGSEGV)
Summary: [abrt] firefox-21.0-3.fc18: r300_create_context: Process /usr/lib64/firefox/f...
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox   
(Show other bugs)
Version: 18
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:dc508cc9f43b33a36e00b4749c1...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-02 19:14 UTC by Robin Baril
Modified: 2013-08-29 10:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 10:54:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (71.11 KB, text/plain)
2013-06-02 19:14 UTC, Robin Baril
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-02 19:14 UTC, Robin Baril
no flags Details
File: core_backtrace (2.05 KB, text/plain)
2013-06-02 19:14 UTC, Robin Baril
no flags Details
File: dso_list (8.21 KB, text/plain)
2013-06-02 19:14 UTC, Robin Baril
no flags Details
File: environ (3.01 KB, text/plain)
2013-06-02 19:14 UTC, Robin Baril
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-02 19:14 UTC, Robin Baril
no flags Details
File: maps (39.40 KB, text/plain)
2013-06-02 19:14 UTC, Robin Baril
no flags Details
File: open_fds (220 bytes, text/plain)
2013-06-02 19:15 UTC, Robin Baril
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-06-02 19:15 UTC, Robin Baril
no flags Details
File: var_log_messages (345 bytes, text/plain)
2013-06-02 19:15 UTC, Robin Baril
no flags Details
File: xsession_errors (273 bytes, text/plain)
2013-06-02 19:15 UTC, Robin Baril
no flags Details

Description Robin Baril 2013-06-02 19:14:37 UTC
Version-Release number of selected component:
firefox-21.0-3.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox https://bugzilla.redhat.com/createaccount.cgi
crash_function: r300_create_context
executable:     /usr/lib64/firefox/firefox
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 r300_create_context at r300_context.c:443
 #1 st_api_create_context at ../../src/mesa/state_tracker/st_manager.c:618
 #2 dri_create_context at dri_context.c:124
 #3 dri2CreateContextAttribs at ../../../../src/mesa/drivers/dri/common/dri_util.c:288
 #4 dri2CreateNewContextForAPI at ../../../../src/mesa/drivers/dri/common/dri_util.c:306
 #5 dri2_create_context at dri2_glx.c:230
 #6 CreateContext at glxcmds.c:274
 #7 glXCreateContext at glxcmds.c:379
 #8 glxtest at /usr/src/debug/xulrunner-21.0/mozilla-release/toolkit/xre/glxtest.cpp:177
 #9 fire_glxtest_process at /usr/src/debug/xulrunner-21.0/mozilla-release/toolkit/xre/glxtest.cpp:234

Comment 1 Robin Baril 2013-06-02 19:14:41 UTC
Created attachment 756061 [details]
File: backtrace

Comment 2 Robin Baril 2013-06-02 19:14:44 UTC
Created attachment 756062 [details]
File: cgroup

Comment 3 Robin Baril 2013-06-02 19:14:47 UTC
Created attachment 756063 [details]
File: core_backtrace

Comment 4 Robin Baril 2013-06-02 19:14:50 UTC
Created attachment 756064 [details]
File: dso_list

Comment 5 Robin Baril 2013-06-02 19:14:53 UTC
Created attachment 756065 [details]
File: environ

Comment 6 Robin Baril 2013-06-02 19:14:55 UTC
Created attachment 756066 [details]
File: limits

Comment 7 Robin Baril 2013-06-02 19:14:59 UTC
Created attachment 756067 [details]
File: maps

Comment 8 Robin Baril 2013-06-02 19:15:01 UTC
Created attachment 756068 [details]
File: open_fds

Comment 9 Robin Baril 2013-06-02 19:15:04 UTC
Created attachment 756069 [details]
File: proc_pid_status

Comment 10 Robin Baril 2013-06-02 19:15:07 UTC
Created attachment 756070 [details]
File: var_log_messages

Comment 11 Robin Baril 2013-06-02 19:15:11 UTC
Created attachment 756071 [details]
File: xsession_errors

Comment 12 Martin Stransky 2013-06-03 05:08:00 UTC
r300_create_context() is not from firefox itself, seems to be caused by HW acceleration. Are you able to start firefox or not? If so, can you attach the acceleration part of "about:support" page? 

It would also help to disable OpenGL acceleration - https://support.mozilla.org/en-US/kb/forum-response-disable-hardware-acceleration

Comment 13 Martin Stransky 2013-06-03 05:10:14 UTC
IIRC there's some env variable which disables the HW acceleration, but I can't find it now.


Note You need to log in before you can comment on or make changes to this bug.